Summary: Tools to manage multipath devices using device-mapper.
Name: device-mapper-multipath
Version: 0.4.5
Release: 42%{?dist}
License: GPL
Group: System Environment/Base
URL: http://christophe.varoqui.free.fr/
Source0: multipath-tools-0.4.5.79.tgz
Patch0: 623468_fix_pt2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq: chkconfig
BuildRequires: sysfsutils-devel, device-mapper, libaio-devel

%description
%{name} provides tools to manage multipath devices by instructing the 
device-mapper multipath kernel module what to do. 
The tools are :
* multipath :   Scan the system for multipath devices and assemble them.
* multipathd :  Detects when paths fail and execs multipath to update things.
* kpartx :      Makes multipath devices partitionable.

%prep
%setup -q -n multipath-tools-0.4.5.79
%patch0 -p1

%build
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT bindir=/sbin rcdir=/etc/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add multipathd
if [ "$1" = 1 ]; then
	echo consistent_suffix=yes > /etc/kpartx.conf
fi

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del multipathd
fi

%files
%defattr(-,root,root,-)
/sbin/cciss_id
/sbin/multipath
/sbin/multipath.static
/sbin/mpath_ctl
/sbin/kpartx
/sbin/kpartx.static
/sbin/multipathd
/sbin/mpath_prio_alua
/sbin/mpath_prio_emc
/sbin/mpath_prio_ontap
/sbin/mpath_prio_netapp
/sbin/mpath_prio_hds_modular
/sbin/mpath_prio_hp_sw
/sbin/mpath_get_name
/sbin/mpath_prio_tpc
/sbin/kpartx_get_name
/etc/udev/rules.d/40-multipath.rules
/etc/dev.d/block/multipath.dev
%{_mandir}/man8/mpath_prio_alua.8.gz
%{_mandir}/man8/kpartx.8.gz
%{_mandir}/man8/multipath.8.gz
%{_mandir}/man8/multipathd.8.gz
%config /etc/rc.d/init.d/multipathd
%config(noreplace) %verify(not md5 mtime size) /etc/multipath.conf
%config(noreplace) %verify(not md5 mtime size) /etc/kpartx.conf
%doc AUTHOR COPYING README* FAQ Multipath-usage.txt multipath.conf.annotated multipath.conf.defaults multipath.conf.synthetic multipath/multipath.dev
/var/cache/multipath

%changelog
* Fri Jan 21 2011 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-42.el4
- Added 623468_fix_pt2.patch
- Resolves: bz #623468

* Wed Oct 27 2010 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-41.el4
- Fix build issue.
- Related: bz #488921, #500580, #511034, #512065, #531131, #588753, #623468

* Wed Oct 27 2010 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-40.el4
- Updated to latest source (t0_4_5_post79)
- Resolves: bz #488921, #500580, #511034, #512065, #531131, #588753, #623468

* Tue Apr 20 2010 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-39.el4
- Fix build issue.
- Related: bz #575244

* Wed Apr  7 2010 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-38.el4
- Updatede to latest source (t0_4_5_post78)
- Resolves: bz #575244

* Fri Oct 16 2009 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-37.el4
- Updated to latest source (t0_4_5_post77)
- Resolves: bz #528734

* Fri Sep 11 2009 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-36.el4
- Updated to latest source (t0_4_5_post76)
- Resolves: bz #516253

* Tue Apr 28 2009 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-35.el4
- Added 452340_config_fix.patch
- Resolves: bz #452340

* Wed Apr  1 2009 Mike Snitzer <snitzer@redhat.com> -0.4.5-34.el4
- Added 493400_multipathd_umask_fix.patch
- Resolves: bz #493400

* Fri Jan 23 2009 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-33.el4
- Updated to latest source (t0_4_5_post74)
- Updated various default configurations
- mpath_prio_netapp is now called mpath_prio_ontap (the original name
  exists as a symlink)
- Various bugfixes
- Resolves: bz #214809, #445268, #445413, #452340, #453547, #455616, #456457, #457228, #461122, #467495, #469845

* Fri Nov  7 2008 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-32.el4
- Don't try to disable queuing on maps that no longer exist
- Resolves: bz #467495

* Tue Apr 15 2008 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-31.el4
- Added HP StorageWorks priority callout
- Resolves: bz #438037

* Tue Apr 15 2008 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-30.el4
- Updated to latest source (t0_4_5_post72)
- new multipath.conf parameters. "uid", "gid", and "mode" allow you to set
  the attributes of multipath device nodes. kpartx nodes inherit these
  attributes. "flush_on_last_del" causes multipath devices to turn off
  queueing when the last path is deleted.
- Resolves: bz #251388, #305781, #430494

* Wed Mar  5 2008 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-29.el4
- multipath now waits for up to 5 seconds if it encounters a device that in not
  fully initialized.
- Resolves: bz #436201
* Tue Feb 12 2008 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-28.el4
- Updated to latest source (tO_4_5_post71)
- kpartx now reads from the config file /etc/kpartx.conf. If this file exists
  and has the config option consistent_suffix=yes, then kpartx will always
  use 'p' as the default suffix.
- There is now a "max_fds" parameter for /etc/multipath.conf.  This can be
  used to fix issues with running multipath and multipathd with more than
  1024 paths.
- Resolves: bz #217130, #304481, #320101, #425995

* Thu Oct 11 2007 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-27.RHEL4
- multipath ignores nonascii characters in /etc/multipath.conf
- multipath.conf now has a new config option "bindings_file", which allows
  you to specifiy the bindings file location
- Resolves: bz #303291, #320151

* Tue Sep 11 2007 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-26.RHEL4
- fix typo.

* Tue Sep 11 2007 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-25.RHEL4
- fix regular expresssions to use .* instead of *
- Resolves: bz #233629

* Thu Aug 2 2007 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-24.RHEL4
- fix specfile issue

* Thu Aug 2 2007 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-23.RHEL4
- Updated to latest source (tO_4_5_post66)
- Added cciss device support
- added tpc checker.
- Resolves: bz #247891, #242724, #242097, #235081, #231244

* Fri Jun 22 2007 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-22.RHEL4
- Fix hardware defaults for IBM dasd and DS8000 and various HITACHI arrays
- Added implicit alua support
- Resolves: bz #231546, #233629, #238983, #239069, #240075

* Tue Feb 13 2007 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-21.RHEL4
- Updated to latest source (tO_4_5_post64)
- Resolves: bz #226805

* Fri Jan 12 2007 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-20.RHEL4
- Updated to latest source (t0_4_5_post63)
- Resolves: bz #215469, #220643

* Mon Dec 4 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-19.RHEL4
- Updated to latest source (t0_4_5_post62)
- Resolves: bz #187534, #192645, #215505, #215509, #217014

* Fri Aug 18 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-18.1
- tagging issue.

* Fri Aug 18 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-18.0
- Updated to latest upstream source (t0_4_5_post61)

* Fri Jul 7 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-16.1
- added blacklist_LUN_Z patch to change CLARiiON default configuration
- fixes bz #174441

* Fri May 12 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-16
- Updated to latest upstream source (t0_4_5_post59)

* Mon May 1 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-15
- fixed specfile typo

* Mon May 1 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-14
- Update to latest upstream source (t0_4_5_post58)

* Wed Mar 8 2006 Alasdair Kergon <agk@redhat.com> -0.4.5-13
- Add missing chkconfig prereq.

* Wed Jan 18 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-12
- Update to latest upstream source (t0_4_5_post56)
- Fixes bz #177417

* Thu Jan 5 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-11
- Update to latest upstream source (t0_4_5_post55)
- Fixes bz #177035

* Fri Dec 20 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-10
- Update to latest upstream source (t0_4_5_post53)
- Fixes bz #'s 175738, 175323, 175324, 175378, and 175408

* Fri Dec 2 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-8
- Update to latest upstream source (t0_4_5_post51)

* Tue Nov 29 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-7.0
- Update to latest upstream source (t0_4_5_post50)

* Mon Oct 10 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-6.1
- change default blacklist values in config file to match copiled
  defaults. [167442]

* Fri Sep 1 2005 Alasdair Kergon <agk@redhat.com> -0.4.5-6.0
- Fixes to mpath_ctl comms. [167199]

* Tue Aug 2 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-5.1
- Add Ed Goggin's Symmetrix getuid fix

* Tue Aug 2 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-5.0
- Update to latest upstream source (t0_4_5_post49)
- move multipath.rules back to /udev/rules.d/
- make sure that the default multipath.conf only installs when there is no
  existing config file.

* Fri Jul 29 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-4.1
- Remove example initrd scripts from docs.
- Move multipath.rules back to docs until it's cleaned up.

* Thu Jul 28 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-4.0
- Update to latest upstream source (t0_4_5_post48)

* Thu Jul 21 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-3.0
- Update to latest upstream source (t0_4_5_post47)
- remove merged patches

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-2.1
- Rename path_priority binaries.

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-2.0
- Include path_priority binaries in the build.

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-1.0
- Update to latest upstream source (t0_4_5_post44).
- Add kpartx.static and multipath.static.

* Fri May 06 2005 Bill Nottingham <notting@redhat.com> - 0.4.4-2.3
- Fix last fix.

* Thu May 05 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.2
- Fix last fix.

* Tue May 03 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.1
- By default, disable the multipathd service.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.0
- Fix core dump from last build.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-1.0
- Move cache file into /var/cache/multipath.

* Fri Apr 08 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.1
- Remove pp_balance_units.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.0
- Incorporate numerous upstream fixes.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.2-2.0
- Update init script to distribution standards.

* Tue Mar 01 2005 Alasdair Kergon <agk@redhat.com> - 0.4.2-1.0
- Initial import based on Christophe Varoqui's spec file.
